<template>
<div class="parallax3"></div>
  <div>
    <hero :data="heroData" />
  </div>

  <br>

  <!-- Formulaire -->
  <div class=form>
    <div class="field">
      <label class="label">Nom</label>
      <div class="control">
        <input class="input" type="text" placeholder="Text input">
      </div>
    </div>
    
    <div class="field">
      <label class="label">Prenom</label>
      <div class="control has-icons-left has-icons-right">
        <input class="input is-success" type="text" placeholder="Text input" value="Carole">
        <span class="icon is-small is-left">
          <i class="fas fa-user"></i>
        </span>
        <span class="icon is-small is-right">
          <i class="fas fa-check"></i>
        </span>
      </div>
      <p class="help is-success">This username is available</p>
    </div>
    
    <div class="field">
      <label class="label">Email</label>
      <div class="control has-icons-left has-icons-right">
        <input class="input is-danger" type="email" placeholder="Email input" value="hello@">
        <span class="icon is-small is-left">
          <i class="fas fa-envelope"></i>
        </span>
        <span class="icon is-small is-right">
          <i class="fas fa-exclamation-triangle"></i>
        </span>
      </div>
      <p class="help is-danger">This email is invalid</p>
    </div>
    
    <div class="field">
      <label class="label">Pays</label>
      <div class="control">
        <div class="select">
          <select>
            <option>Allemagne</option>
            <option>Algérie</option>
            <option>Bulgarie</option>
            <option>Chine</option>
            <option>Danemark</option>
            <option>Espagne</option>
            <option>France</option>
            <option>Hongrie</option>
            <option>Suisse</option>
            <option>Turquie</option>
          </select>
        </div>
      </div>
    </div>
    
    <div class="field">
      <label class="label">Message</label>
      <div class="control">
        <textarea class="textarea" placeholder="Textarea"></textarea>
      </div>
    </div>
    
    <div class="field">
      <div class="control">
        <label class="checkbox">
          <input type="checkbox">
          I agree to the <a href="#">terms and conditions</a>
        </label>
      </div>
    </div>
    
    <div class="field">
      <div class="control">
        <label class="radio">
          <input type="radio" name="question">
          Yes
        </label>
        <label class="radio">
          <input type="radio" name="question">
          No
        </label>
      </div>
    </div>
    
    <div class="field is-grouped">
      <div class="control">
        <button class="button is-dark">Submit</button>
      </div>
      <div class="control">
        <button class="button is-dark is-dark">Cancel</button>
      </div>
    </div>
  </div>
  <br>
   <div>
    <hero :data="heroData" />
  </div>
</template>

<script>
import Hero from '../components/Hero.vue'
export default {
  name: 'Contact',
  components: {
    Hero
  },
  data () {
    return {
      heroData: {
        color: "dark",
        size: "small",
      }
    }
  }
}
</script>

<style>

.parallax-contact {
  /* The image used */
  background-image: url("https://img-cdn.chanelwebservices.com/1614022009168-d1jpg_max_lg_lg.jpg");

  /* Set a specific height */
  height: 500px;

  /* Create the parallax scrolling effect */
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

</style>
